Subject: [Int-area] FW: The idea behind IPv10 is already implemented in RfC4291

From: Khaled Omar <[email-masked]>
Date: Thu, 7 Sep 2017 16:21:09 +0000

-----Original Message-----
From: Khaled Omar 
Sent: Thursday, September 7, 2017 2:26 PM
To: 'Volker Tanger'
Subject: RE: The idea behind IPv10 is already implemented in RfC4291

Hi V.Tanger,

>>>> 3. An alternative form that is sometimes more convenient when dealing
      with a mixed environment of IPv4 and IPv6 nodes is
      x:x:x:x:x:x:d.d.d.d, where the 'x's are the hexadecimal values of
      the six high-order 16-bit pieces of the address, and the 'd's are the decimal values of the four low-order 8-bit pieces of the
      address (standard IPv4 representation).  Examples:

         0:0:0:0:0:0:13.1.68.3

         0:0:0:0:0:FFFF:129.144.52.38

      or in compressed form:

         ::13.1.68.3

         ::FFFF:129.144.52.38

This is not the idea of IPv10, IPv10 means the source address can be IPv4 and the destination address can be IPv6 and vice versa, this is not mapping as mentioned in RFC4291.  

Best regards,

Khaled Omar

-----Original Message-----
From: Volker Tanger [mailto:[email-masked]] 
Sent: Thursday, September 7, 2017 1:19 PM
To: [email-masked]
Subject: The idea behind IPv10 is already implemented in RfC4291

Greetings!

I read your suggested IPv10 at
https://tools.ietf.org/html/draft-omar-ipv10-06.html

In RfC 4291 (https://www.ietf.org/rfc/rfc4291.txt) section 2.5.5. there already is a mechanism to directly map IPv4 adresses into IPv6. This already enables 4-4/6-6/6-4/4-6 adressing/rewriting.

Maybe you could elaborate on why IPv10 is superiour, especially as the direct mapping of IPv4 into IPv6 as described in RfC4291 has the advantage that the stack already is implemented, mapping on 4-6 / 6-4 gateways is dead simple and that it does not need a 3rd packet parser stack?

Thanks a lot!

Volker Tanger

-- 

Volker Tanger    http://www.wyae.de/volker.tanger/
--------------------------------------------------
[email-masked]              PGP Fingerprint
378A 7DA7 4F20 C2F3 5BCC  8340 7424 6122 BB83 B8CB

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 7 Sep 2017 19:58:47 +0200 (CEST)

When are you going to learn not to forward private email to public lists?

Do you have the Volker Tangers permission to submit this text to the IETF?

On Thu, 7 Sep 2017, Khaled Omar wrote:

> _______________________________________________
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area
>

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Khaled Omar <[email-masked]>
Date: Thu, 7 Sep 2017 18:27:15 +0000

-----Original Message-----
From: Khaled Omar 
Sent: Thursday, September 7, 2017 8:26 PM
To: 'Mikael Abrahamsson'
Subject: RE: [Int-area] FW: The idea behind IPv10 is already implemented in RfC4291

> When are you going to learn not to forward private email to public lists?

This is for letting others know so no one will discuss the same topic again, I've received the same comments many times before.

> Do you have the Volker Tangers permission to submit this text to the IETF?

This email was for the int-area mailing list not for the IETF mailing list.

A question for you, why you keep talking with someone else's tongue? He can tell me this and then I will discuss that with him.

regards,

Khaled Omar

---

From: Mikael Abrahamsson <[email-masked]>
Date: Tue, 12 Sep 2017 05:29:28 +0200 (CEST)

> This is for letting others know so no one will discuss the same topic again, I've received the same comments many times before.

Then you write your own text on this subject without forwarding others 
text.

> This email was for the int-area mailing list not for the IETF mailing list.

[email-masked] is an IETF mailing list. All email sent to any IETF 
mailing list is an IETF contribution.

> A question for you, why you keep talking with someone else's tongue? He can tell me this and then I will discuss that with him.

Because if I ever sent you an email directly I might not want it submitted 
to the IETF without my permission.